Ogre+CEGUI+LUA

For help with anything that CEGUI doesn't offer straight out-of-the-box, e.g.:
- Implementation of new features, such as new Core classes, widgets, WindowRenderers, etc. ...
- Modification of any existing features for specific purposes
- Integration of CEGUI in new engines or frameworks and writing of new plugins (Renderer, Parser, ...) or modules

Moderators: CEGUI MVP, CEGUI Team

hkroger
Just popping in
Just popping in
Posts: 12
Joined: Mon Feb 20, 2006 01:39

Ogre+CEGUI+LUA

Postby hkroger » Mon Feb 20, 2006 02:26

Hi,

I am using OgreSDK which has CEGUI included but it doesn't have LUA support (no libraries, no include files) there eventhough CEGUI itself has it.

What is the minimum I need to do to have CEGUI LUA support with OgreSDK?

Can I just download the dlls, libs and h files from somewhere and just put them to relevant directories or do I need to perform some magic here?

User avatar
Dalfy
CEGUI Team (Retired)
Posts: 130
Joined: Tue Oct 11, 2005 16:13
Location: Paris, FRANCE
Contact:

Postby Dalfy » Mon Feb 20, 2006 08:01

A solution is to use CEGUI SDK and updating Ogre as described on the wiki.

hkroger
Just popping in
Just popping in
Posts: 12
Joined: Mon Feb 20, 2006 01:39

Postby hkroger » Mon Feb 20, 2006 10:23

I see, thanks for the reply.

hkroger
Just popping in
Just popping in
Posts: 12
Joined: Mon Feb 20, 2006 01:39

Postby hkroger » Mon Feb 27, 2006 23:16

Dalfy wrote:A solution is to use CEGUI SDK and updating Ogre as described on the wiki.


I ran into trouble when following instruction because I had too new Ogre. So the big question now is where to get 1.0.6 OgreSDK?

hkroger
Just popping in
Just popping in
Posts: 12
Joined: Mon Feb 20, 2006 01:39

Postby hkroger » Mon Feb 27, 2006 23:34

hkroger wrote:
Dalfy wrote:A solution is to use CEGUI SDK and updating Ogre as described on the wiki.


I ran into trouble when following instruction because I had too new Ogre. So the big question now is where to get 1.0.6 OgreSDK?


Replying myself so that other people can find help too:

http://sourceforge.net/project/showfile ... up_id=2997

User avatar
davesh
Not too shy to talk
Not too shy to talk
Posts: 36
Joined: Fri Feb 03, 2006 22:59

Postby davesh » Thu Mar 02, 2006 22:38

I've got a similar concern. I build both Ogre and CEGUI from source. The Ogre source distribution comes with 0.3.0 CEGUI. I downloaded the latest 0.4.1 CEGUI source and built that with the latest Ogre source.

I am looking to start using LUA, and am not sure what to expect in terms of issues...

Any/all thoughts on this subject would be appreciated.

hkroger
Just popping in
Just popping in
Posts: 12
Joined: Mon Feb 20, 2006 01:39

Postby hkroger » Thu Mar 02, 2006 23:42

davesh wrote:I've got a similar concern. I build both Ogre and CEGUI from source. The Ogre source distribution comes with 0.3.0 CEGUI. I downloaded the latest 0.4.1 CEGUI source and built that with the latest Ogre source.

I am looking to start using LUA, and am not sure what to expect in terms of issues...

Any/all thoughts on this subject would be appreciated.


Depending on the tolua version, there might be some issues related to that. I asked about that in another thread. Check it out here:

http://www.cegui.org.uk/phpBB2/viewtopic.php?t=1377

zarroba
Not too shy to talk
Not too shy to talk
Posts: 22
Joined: Tue Jul 11, 2006 12:54

Postby zarroba » Tue Jul 11, 2006 15:38

Hi,
Although it's not the same problem, I'm experiencing some problems integrating Lua and CEGUI in my project. I'm using Lua in my project in a simulation module and everything was working fine 'til I integrated another module with CEGUI. Now when I compile the project I get an undefined reference to luaL_getmetatable, lua_tostring and other functions. I'm using Lua 5.1 and CEGUI 0.41. Updating CEGUI to version 0.5 is not an option right now. I' don't realy need lua in cegui, can disable it?

thanks,
Jose Tavares

User avatar
lindquist
CEGUI Team (Retired)
Posts: 770
Joined: Mon Jan 24, 2005 21:20
Location: Copenhagen, Denmark

Postby lindquist » Tue Jul 11, 2006 16:32

the lua module is completely optional. just dont use it

zarroba
Not too shy to talk
Not too shy to talk
Posts: 22
Joined: Tue Jul 11, 2006 12:54

Postby zarroba » Tue Jul 11, 2006 17:32

I wasn't using it but i still got the messages. But I've seen were the problem was. When installing CEGUI, it copies lua headers to the include directory, so the compiler wasn't using the correct headers hence the errors...

thanks,
José Tavares

User avatar
lindquist
CEGUI Team (Retired)
Posts: 770
Joined: Mon Jan 24, 2005 21:20
Location: Copenhagen, Denmark

Postby lindquist » Tue Jul 11, 2006 19:12

sounds like we need better control of lua in the autotools setup, this has been requested before as well so is definitely something that will be looked into, can't say when though.


Return to “Modifications / Integrations / Customisations”

Who is online

Users browsing this forum: No registered users and 11 guests